<!DOCTYPE html>
<html lang="fa" dir="rtl">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="./assets/css/owl.carousel.min.css" />
    <link rel="stylesheet" href="./assets/css/owl.theme.default.min.css" />
    <link rel="stylesheet" href="./assets/css/style.css" />
    <title>فانو‌فیلم</title>
  </head>
  <body>

    <section class="register-section">
        <div class="signin-card">
            <div class="signin-card-header">
                <p>ثبت نام در فانو‌ فیلم</p>
            </div>

            <div class="signin-card-body">
                <!-- Start of login form -->
                <form action="" class="register-form">

                    <div class="signin-input-container">
                        <label class="signin-label" for="username">
                            شماره موبایل
                        </label>

                        <div class="input-container">
                            <img src="assets/img/phone.svg" class="icon" alt="" />
                            <input class="input-field" 
                                   id="username"
                                   name="username" 
                                   type="text" 
                                   placeholder="شماره موبایل خود را وارد نمایید" 
                                   oninput="this.value = this.value.replace(/[^0-9۰-۹٠-٩]/g, '')" 
                                   onkeypress="if(this.value.length==11) return false;" 
                                   pattern="/^-?\d+\.?\d*$/" 
                                   required
                            />
                        </div>
                    </div>

                    <span class="signin-btn btn-register">ارسال کد تایید</span>

                    <p class="error-msg"></p>

                </form>
                <!-- End of login form -->
            </div>

            <div class="signin-card-footer">
                <p>
                    قبلا ثبت نام کرده‌اید؟ <a href="" class="signin-actionLink">ورود</a>
                </p>
            </div>
        </div>
    </section>

    <script src="./assets/js/jquery-3.5.1.min.js"></script>
    <script src="./assets/js/owl.carousel.min.js"></script>
    <script src="./assets/js/script.js"></script>


    <script>
        $(document).ready(function(){
            $(".btn-register").on("click", function(e){
                e.preventDefault();
                if($("#username").val() == "" || $("#username").val().length< 11){
                    $(".error-msg").text("لطفا شماره موبایل خود را وارد کنید")
                }else{
                    $(".register-form").submit();
                }
            });
        });
    </script>
  </body>
</html>
